2 Replies Latest reply on Jul 20, 2010 4:37 AM by ndgnc66

    Package Explorer Error

    ndgnc66 Level 1

      Hi,

       

      today I uninstalled Flash Builder 4.0 and installed 4.0.1 Version. After activating FB, I opened and got the following error in the Package Explorer.

       

      Could not create the view: Plug-in "com.adobe.flexbuilder.as.editor" was unable to instantiate class "com.adobe.flexbuilder.as.editor.ui.packageexplorer.FlexPackageExplorer".

       

      Why is FB giving this error?

       

      Can anyone help?

       

      Thanks...

       

      ND

        • 1. Re: Package Explorer Error
          pinnamur

          After the re-installation, Eclipse/p2 might not be able to clear the bundle cache to point to the new jars. The flag '-clean' clears the existing cache of the bundles and re-builds  the cache by scanning through the plug-ins once again

          Can you please try launching FlashBuilder using -clean option : flashbuilder.exe -clean

          Do you any 3rd party plug-ins installed on FlashBuilder installation ? Please post your results after using the above command.

          • 2. Re: Package Explorer Error
            ndgnc66 Level 1

            Thanks for the solution.

            Before doing that, I changed my workspace form default FB workspace to my old workspace. After doing that, it did not show any errors. Maybe it has something to do with windows 7 and the relative/absolute path problems, because after connected to company network, there was no problem. I had a similiar problem  with Flash Catalyst but was a long time ago. Anyway, the "-clean" solution is working too. Thanks for the help.